﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Assignment2
{
    public class NoteModel
    {
        public int NoteModelId { get; set; }
        public string Title { get; set; }
        public string Contents { get; set; }

        public NoteModel() { }

        public NoteModel(string Title, string Contents)
        {
            this.Title = Title;
            this.Contents = Contents;
        }
    }

    public class NoteContext : DbContext
    {
        public DbSet<NoteModel> Notes { get; set; }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            optionsBuilder.UseSqlite("Data Source=database.db");
        }

    }
}
